//-----------------------------------------------------------------------------
//
// Title       : clk_div_50000
// Design      : combo_logic
// Author      : University of Washington
// Company     : CSE
//
//-----------------------------------------------------------------------------
//
// File        : clk_div_50000.v
// Generated   : Wed May 12 16:17:42 2010
// From        : interface description file
// By          : Itf2Vhdl ver. 1.21
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {clk_div_50000}}
module clk_div_50000 ( clk_in ,clk_out );

output clk_out ;
reg clk_out ;

input clk_in ;
wire clk_in ;


//}} End of automatically maintained section

// this initializes the clock and count only in simulation
// ***This has no meaning for synthesized hardware***
initial begin
    clk_out = 1'b0;
    clk_count = 0;
end

reg [14:0] clk_count;

// flip the output clock bit after 25,000 clock cycles
// this effectively divides the clk_in frequency by 50,000
always @ (posedge clk_in) begin
    if (clk_count < 25000) begin
        clk_count <= clk_count + 1'b1;
        clk_out <= clk_out;
    end	else begin
        clk_count <= 0;
        clk_out <= ~clk_out;
    end
end
endmodule