module reaction_timer (
	input clk,
	input reset,
	input start_stop,
	output [7:0] leds,
	output [6:0] hex0,
	output [6:0] hex1,
	output [6:0] hex2,
	output [6:0] hex3
);

wire bcd_enable;
wire bcd_reset;
wire display_enable;
wire wait_done;

wire [3:0] dec0;
wire [3:0] dec1;
wire [3:0] dec2;
wire [3:0] dec3;
assign leds[0] = bcd_enable;    // Turn on LED when we start counting - turn off when stopped
controller U1
(	
	//inputs
	.clk (clk),
	.reset (reset),
	.start_stop (start_stop),
	.wait_done (wait_done),
	//outputs
	.bcd_enable (bcd_enable),
	.bcd_reset (bcd_reset)
);

decimal_counter U2
(	
	//inputs
	.clk (clk),
	.bcd_enable (bcd_enable),
	.bcd_reset (bcd_reset),
	//outputs
	.dec0 (dec0),
	.dec1 (dec1),
	.dec2 (dec2),
	.dec3 (dec3)

);

display U3
(	
	//inputs
	.dec0 (dec0),
	.dec1 (dec1),
	.dec2 (dec2),
	.dec3 (dec3),
	//outputs
	.hex0 (hex0),
	.hex1 (hex1),
	.hex2 (hex2),
	.hex3 (hex3)
);

wait_counter U4
(
	//inputs
	.clk (clk),
	//outputs
	.wait_done (wait_done) 
);

endmodule