// This module provides a wait_done signal which tells the controller
// to turn on the LED and start measuring the reaction time	
// It just counts to 4096 (4 seconds) which means it will cause a wait
// of 0 to 4 seconds with an average of 2 seconds.

module wait_counter (
	input clk, 
	output wait_done
);

	reg [10:0] counter;	
	// This initial is for simulation only.  The counter in the circuit
	// will initialize to a random value, but we don't care.
	initial counter = 0;

	assign wait_done = counter == 0;
	
	always @ (posedge clk)
		counter = counter + 1;

endmodule